# Enum SQLMap.SqlType

java.lang.Object
java.lang.Enum<SQLMap.SqlType>
com.codename1.properties.SQLMap.SqlType

All Implemented Interfaces:
  `Comparable<SQLMap.SqlType>`

Enclosing class:
  `SQLMap`

public static enum SQLMap.SqlType extends Enum<SQLMap.SqlType>

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `SQL_BLOB`
  `SQL_BOOLEAN`
  `SQL_DATE`
  `SQL_DOUBLE`
  `SQL_EXCLUDE`
  `SQL_FLOAT`
  `SQL_INTEGER`
  `SQL_LONG`
  `SQL_SHORT`
  `SQL_TEXT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected java.lang.Object`
  `asUpdateInsertValue(java.lang.Object data, Property p)`
  `protected java.lang.Object`
  `getValue(Row row, int index, PropertyBase base)`
  `static SQLMap.SqlType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static SQLMap.SqlType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SQL_EXCLUDE

    public static final SQLMap.SqlType SQL_EXCLUDE

  - ### SQL_TEXT

    public static final SQLMap.SqlType SQL_TEXT

  - ### SQL_INTEGER

    public static final SQLMap.SqlType SQL_INTEGER

  - ### SQL_BOOLEAN

    public static final SQLMap.SqlType SQL_BOOLEAN

  - ### SQL_LONG

    public static final SQLMap.SqlType SQL_LONG

  - ### SQL_DATE

    public static final SQLMap.SqlType SQL_DATE

  - ### SQL_SHORT

    public static final SQLMap.SqlType SQL_SHORT

  - ### SQL_FLOAT

    public static final SQLMap.SqlType SQL_FLOAT

  - ### SQL_BLOB

    public static final SQLMap.SqlType SQL_BLOB

  - ### SQL_DOUBLE

    public static final SQLMap.SqlType SQL_DOUBLE

- ## Method Details

  - ### values

    public static SQLMap.SqlType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static SQLMap.SqlType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    protected java.lang.Object getValue(Row row, int index, PropertyBase base) throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### asUpdateInsertValue

    protected java.lang.Object asUpdateInsertValue(java.lang.Object data, Property p)